/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       EcuM_Callout_Stubs.c
 *    \author     Nicolae-Bogdan Bacrau
 *    \brief      Implements the ECU manager callouts from the pre-start OS phase.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/

#include "EcuM.h"
#include "Mcu.h"
#include "Port.h"
#include "Adc.h"
#include "Pwm.h"
#include "MotorControl.h"
#include "Lcd.h"
#include "Uart.h"
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Definition Of Local Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                           Definition Of Local Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                           Declaration Of Local Variables                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Declaration Of Global Variables                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                           Declaration Of Local Constants                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Declaration Of Global Constants                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                           Declaration Of Local Functions                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                         Implementation Of Local Functions                                         */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                         Implementation Of Global Functions                                        */
/*-------------------------------------------------------------------------------------------------------------------*/

/**
 * \brief      Provides basic software initializations before starting the Operating System.
 * \param      -
 * \return     -
 */
void EcuM_AL_DriverInitOne(void)
{
   /* Setup all the clocks and initialize all the RAM data sections. Must be the first call. */
   Mcu_Init(&Mcu_gkt_Config);
   Port_Init(&Port_gkt_Config);
   Adc_Init(&Adc_gkt_Cfg);
   Pwm_Init(&Pwm_gkt_Config);
   Uart_gv_Init(&Uart_gkt_Cfg);
   MotorControl_gv_Init();
   Lcd_gv_Init();

}
